<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddRepeatEveryToRosterTemplatesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('roster_templates', function (Blueprint $table) {
            $table->string('repeat_every')->nullable();
            // You can change the data type and other column properties as needed.
        });
    }
    

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('roster_templates', function (Blueprint $table) {
            $table->dropColumn('repeat_every');
        });
    }
    
}
